CREATE TABLE `#__tbb_bookings` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `table` varchar(255) NOT NULL DEFAULT '' COMMENT 'json encoded array {[array,array,...]}',
  `places` tinyint(1) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `phone` varchar(255) NOT NULL DEFAULT '',
  `comments` text NOT NULL,
  `restaurant` int(10) NOT NULL DEFAULT '0',
  `bookdate` date NOT NULL DEFAULT '0000-00-00',
  `bookstart` int(10) NOT NULL DEFAULT '0',
  `bookend` int(10) NOT NULL DEFAULT '0',
  `extracomments` text NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `gdpr` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `status` (`status`),
  KEY `restaurant` (`restaurant`,`table`),
  KEY `bookdate_bookstart_bookend` (`bookdate`,`bookstart`,`bookend`),
  KEY `bookdate` (`bookdate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `#__tbb_restaurants` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `schedule` text NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `checked_out` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `#__tbb_staff` (
  `id` int(10) NOT NULL DEFAULT '0',
  `restaurant` int(10) NOT NULL DEFAULT '0',
  `position` tinyint(1) NOT NULL DEFAULT '1',
  `checked_out` tinyint(1) NOT NULL DEFAULT '0',
  UNIQUE KEY `restaurant_2` (`restaurant`,`id`),
  KEY `id` (`id`),
  KEY `restaurant` (`restaurant`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `#__tbb_tables` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `restaurant` int(10) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `min_places` tinyint(3) NOT NULL DEFAULT '1',
  `max_places` tinyint(3) NOT NULL DEFAULT '1',
  `shape` tinyint(3) NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `checked_out` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `restaurant` (`restaurant`),
  KEY `min_places` (`min_places`,`max_places`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `#__tbb_waiting` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `phone` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `seated` tinyint(1) NOT NULL DEFAULT '0',
  `stepin` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `checked_out` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `#__tbb_crons` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `restaurant` int(10) NOT NULL DEFAULT '0',
  `moment_in_time` tinyint(1) NOT NULL DEFAULT '1' COMMENT '0 for before, 1 for after',
  `reservation_status` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'reservation status',
  `x_days` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'days before/after to run the cron',
  `cron_subject` varchar(255) NOT NULL DEFAULT '',
  `cron_message` text NOT NULL,
  `checked_out` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `restaurant` (`restaurant`),
  KEY `restaurant_2` (`restaurant`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

