<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.modellist');

class TableBookingModelRestaurants extends JModelList
{
	public function __construct($config = array()) {
		if (empty($config['filter_fields'])) {
			$config['filter_fields'] = array(
				'a.id',
				'a.title',
				'a.published'
			);
		}
		parent::__construct($config);
	}
	
	
	protected function populateState($ordering = null, $direction = null) { 
		
		// Initialise variables.
		$app = JFactory::getApplication('administrator');
		
		// Load the parameters.
		$params = JComponentHelper::getParams('com_tablebooking');
		$this->setState('params', $params); 

		// List state information.
		parent::populateState('id', 'desc');
	}
	
	protected function getStoreId($id = '') {
		
		// Compile the store id.

		return parent::getStoreId($id);
	}
	
	

	protected function getListQuery() {
		
		$query	= $this->_db->getQuery(true);

		$query->select(
			$this->getState(
				'list.select','id, title, published '
			)
		);
		$query->from( $this->_db->quoteName('#__tbb_restaurants') );
		$orderCol = $this->getState('list.ordering', 'id');
		$query->order( $this->_db->escape($orderCol).' '.$this->_db->escape($this->getState('list.direction', 'DESC')));

		return $query;
	}

}
?>
