<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class TableBookingViewRestaurant extends JViewLegacy
{
	protected $item;
	protected $form;
	protected $state;

	public function display($tpl = null)
	{
		$this->state		= $this->get('State');
		$this->item			= $this->get('Item');
		$this->form			= $this->get('Form');

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}

		$this->addToolbar();
		parent::display($tpl);

		JHtml::stylesheet( 'administrator/components/com_tablebooking/assets/css/default.css' );
	}

	protected function addToolbar() {

		$canDo		= TableBookingHelper::getActions();
		$isNew		= ($this->item->id == 0);

		JToolBarHelper::title(   'TableBooking :: ' . JText::_( 'COM_TABLEBOOKING_RESTAURANT' ), '' );	

		// If not checked out, can save the item.
		if ($canDo->get('core.edit')||($canDo->get('core.create'))) {
			JToolBarHelper::apply('restaurant.apply', 'JTOOLBAR_APPLY');
			JToolBarHelper::save('restaurant.save', 'JTOOLBAR_SAVE');
		}

		if (empty($this->item->id))  {
			JToolBarHelper::cancel('restaurant.cancel','JTOOLBAR_CANCEL');
		} else {
			JToolBarHelper::cancel('restaurant.cancel', 'JTOOLBAR_CLOSE');
		}
	}
}
?>
