<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controllerform');

class TableBookingControllerSearch extends JControllerForm {
	
	public function changeRestaurant() 
	{
		JSession::checkToken('request') or die('Invalid Token');
		$info = JRequest::getVar('info', array(), '', 'array');
		$id = (int) $info['id'];
		$this->getModel()->setRestaurant($id);
		return 1;
	}
	
	
	public function getWorkingHours() 
	{
		JSession::checkToken('request') or die('Invalid Token');

		$response = new stdclass;
		$response->error = null;
		$response->hours = array();
		
		$info = JRequest::getVar('info', array(), '', 'array');
		$id = (int) $info['restaurant'];
		$restaurant = TbRestaurant::getInstance($id); 
		if (preg_match('/[0-9]{4}-[0-9]{2}-[0-9]{2}/',$info['date'],$matches))
		{
			$date = TbSchedule::getDate($matches[0]);
			
			// first let's see if a schedule is set for the date
			$schedule = $restaurant->getSchedule($date); 
			
			// if a schedule for that certain date doesn't exist default to the schedule for the week day
			if (!$schedule->isSet)
			{
				$schedule = $restaurant->getSchedule($date->__get('dayofweek'));
			}
			
			if ($schedule->working) 
			{
				$response->hours = $schedule->getHours(true);
			}
			else 
			{
				$response->error = JText::_('COM_TABLEBOOKING_ERROR_THIS_DAY_IS_FREE');
			}
		}
		else 
		{
			$response->error = JText::_('COM_TABLEBOOKING_INVALID_DATE', true);
		}
		echo json_encode($response);
		exit();
	}
	
	
}

?>
