<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controllerform');

class TableBookingControllerSpecial extends JControllerLegacy {

	public function addNew()
	{
		$this->setRedirect(JRoute::_('index.php?option=com_tablebooking&view=special', false));
		return true;
	}


	public function save() 
	{
		$form = JRequest::getVar('jform',array(),'','array');

		$model = $this->getModel('Schedules');
		$schedule = TbUser::getInstance()->work->restaurant->schedule;
		$record = !empty($schedule) ? unserialize($schedule) : array();

		if (preg_match('/[0-9]{4}-[0-9]{2}-[0-9]{2}/',$form['selecteddate']))
		{
			if (!isset($record[$form['selecteddate']])) 
			{
				$record[$form['selecteddate']] = new stdclass;
			}

			$record[$form['selecteddate']]->working = $form['status'];
			$record[$form['selecteddate']]->intervals = isset($form['intervals']) ? $this->decodeIntervals($form['intervals']) : array();
		}
		//print_r($record);die();
		$new_schedule = serialize($record);
		$model->schedule_update( $new_schedule );
		$this->setRedirect(JRoute::_('index.php?option=com_tablebooking&view=schedules#special',false));
		return;
	}


	/*
		filter special days to check if the schedule for that day is set
	 */
	protected function dayExist($specialDays,$needle)
	{
		if (empty($specialDays))
		{
			return false;
		}

		foreach ($specialDays as $key=>$value)
		{
			if ($key == $needle)
			{
				return true;
			}
		}
		return false;
	}


	/**
	 * decode intervals from urlencode
	 * @param  [array] $intervals array of urlencoded data containing interval details (start+end+min+max)
	 * @return [array]
	 */
	protected function decodeIntervals($intervals) 
	{
		$decoded = array();
		
		foreach ($intervals as $encoded) 
		{
			$new = array();
			$parts = explode('+',urldecode($encoded));
			
			$new['start'] = $parts[0];
			$new['end'] = $parts[1];
			$new['min'] = $parts[2];
			$new['max'] = $parts[3];

			$decoded[] = $new;
		}
		return $decoded;
	}
}

?>
