<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');


class TableBookingModelCrons extends JModelList
{
	
	public function __construct($config = array()) 
	{
		if (empty($config['filter_fields'])) 
		{
			$config['filter_fields'] = array();
		}
		parent::__construct($config);
	}
	
	
	protected function populateState($ordering = null, $direction = null) 
	{ 
		parent::populateState('a.id', 'desc');
	}
	
	
	protected function getStoreId($id = '') 
	{
		return parent::getStoreId($id);
	}
	
	
	protected function getListQuery() 
	{
		$query = $this->_db->getQuery(true);

		$query->select('id, moment_in_time, reservation_status, x_days');
		$query->from($this->_db->quoteName('#__tbb_crons'));
		$query->where( $this->_db->quoteName('restaurant') . ' = ' . TbUser::getInstance()->work->restaurant->id );

		return $query;
	}
}
