<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.modellist');

class TableBookingModelTables extends JModelList
{
	
	public function __construct($config = array()) {
		if (empty($config['filter_fields'])) {
			$config['filter_fields'] = array(
			);
		}
		parent::__construct($config);
	}
	
	
	protected function populateState($ordering = null, $direction = null) { 
		
		// List state information.
		parent::populateState('a.id', 'desc');
	}
	
	protected function getStoreId($id = '') {
		
		// Compile the store id

		return parent::getStoreId($id);
	}
	
	
	protected function getListQuery() 
	{	
		$query = $this->_db->getQuery(true);
	
		$query->select( $this->_db->quoteName('id') . ',' . $this->_db->quoteName('name') .','. $this->_db->quoteName('min_places') . ',' . $this->_db->quoteName('max_places') );
		$query->from( $this->_db->quoteName('#__tbb_tables') );
		$query->where( $this->_db->quoteName('restaurant') . ' = ' . TbUser::getInstance()->work->restaurant->id );
	
		return $query;
	}

	/**
	 * save table arrangements on the first page in the management area
	 * @param  [int] $table_id [table id]
	 * @param  [string] $params   [transform matrix for the svg element representing the table]
	 */
	public function saveArrangements($table_id,$params) 
    {
      	$query = $this->_db->getQuery(true);

        $query->update($this->_db->quoteName('#__tbb_tables'));
        $query->set($this->_db->quoteName('params') . ' = ' . $this->_db->quote($params));
        $query->where($this->_db->quoteName('id') . ' = ' . (int) $table_id);
        $query->where($this->_db->quoteName('restaurant') . ' = ' . TbUser::getInstance()->work->restaurant->id);
  
        $this->_db->setQuery($query);
        $this->_db->query();
    }

}
?>
