<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

?>
<div id="tablebooking">

	<form action="<?php echo JRoute::_('index.php?option=com_tablebooking&view=bookings', false);?>" method="post" name="adminForm" id="adminForm" class="form-horizontal">
		
		<?php echo TbDisplay::loadMenu() ;?>


		<div id="tb-controls">
		    <div class="col-md-4 pull-left">
			<h3><?php echo JText::_('COM_TABLEBOOKING_BOOKINGS');?></h3>
		    </div>
		    
		    <div class="col-md-7 tb-span-control">
			  <i id="calendar" class="ico ico-calendar pull-left"></i>
			  <i class="ico ico-go-left-circle pull-left command" onclick="tbb.minus1Day();"></i>
			  <span class="col-md-6 pull-left"><input id="calendar-value" type="text" /></span>
			  <i class="ico ico-go-right-circle pull-left command" onclick="tbb.plus1Day();"></i>
		    </div>
		</div>

		<div class="row tbb-action">
			<div class="col-md-9 pull-left">
				<button class="btn" onclick="document.adminForm.task.value='booking.add';document.adminForm.submit();"><i class="ico ico-add"></i> <?php echo JText::_('COM_TABLEBOOKING_NEW');?></button>
				<button class="btn" onclick="tbb.deleteItems();return false;"><i class="ico ico-trash"></i> <?php echo JText::_('COM_TABLEBOOKING_DELETE');?></button>
				<button class="btn" onclick="tbb.viewall();"><i class="ico ico-refresh"></i> <?php echo JText::_('COM_TABLEBOOKING_BOOKINGS_LOAD_ALL');?></button>
				<button class="btn" onclick="tbb.export();return false;"><i class="ico ico-export"></i> <?php echo JText::_('COM_TABLEBOOKING_EXPORT');?></button>
			</div>
			<div class="col-md-3 pull-left">
				<select name="filter_status" class="input-sm pull-right" onchange="document.adminForm.submit();">
					<option value="-1"><?php echo JText::_('COM_TABLEBOOKING_BOOKINGS_STATUS');?></option>
					<?php echo JHtml::_('select.options', $this->statuses, 'value', 'text', $this->state->get('filter.bookings.status'));?>
				</select>
			</div>
		</div>
		
		<div class="row tbb-action">
			<div class="col-md-12 pull-left">
				<input class="input-sm" type="text" name="filter_search" id="filter_search" placeholder="<?php echo JText::_('COM_TABLEBOOKING_FILTER_BY_NAME'); ?>" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" title="" />
				<button class="btn" onclick="document.adminForm.submit();"><?php echo JText::_('JSEARCH_FILTER_LABEL');?></button>
				<button class="btn" onclick="document.getElementById('filter_search').value = ''; document.adminForm.submit();"><i class="ico ico-close"></i></button>
			</div>
		</div>

		<table class="table table-hover tbb-content">
			<thead>
				<tr>
					<th><input type="checkbox" onclick="tbb.toogleAll(this);" /></th>
					<th><?php echo JText::_('COM_TABLEBOOKING_BOOKINGS_CLIENT_NAME');?></th>
					<th><?php echo JText::_('COM_TABLEBOOKING_DATE');?></th>
					<th><?php echo JText::_('COM_TABLEBOOKING_BOOKINGS_START');?></th>
					<th><?php echo JText::_('COM_TABLEBOOKING_BOOKINGS_END');?></th>
					<th><?php echo JText::_('COM_TABLEBOOKING_PLACES');?></th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				<?php if ( $this->bookings ) { foreach ( $this->bookings as $booking ) {?>
				<tr>
					<td><input type="checkbox" id="cb<?php echo (int) $booking->id;?>" name="cid[]" value="<?php echo (int) $booking->id;?>" /></td>
					<td><a href="<?php echo JRoute::_('index.php?option=com_tablebooking&task=booking.edit&id=' . $booking->id, false);?>"><?php echo $this->escape( $booking->name ) ;?></a></td>
					<td><?php echo TbDisplay::showDate($booking->bookdate,$this->restaurant->getParams()->dateformat);?></td>
					<td><?php echo TbDisplay::showTime($booking->bookstart , $this->restaurant->getParams()->hourformat ); ?></td>
					<td><?php echo TbDisplay::showTime($booking->bookend, $this->restaurant->getParams()->hourformat ); ?></td>
					<td><?php echo (int) $booking->places;?></td>
					<td><?php echo TbDisplay::showStatusIcon($booking->status);?></td>
				</tr>
				<?php } } ?>
			</tbody>
			<tfoot>
				<tr class="text-center">
					<td colspan="7">
						<?php echo $this->pagination->getListFooter() ;?>
					</td>
				</tr>
			</tfoot>
		</table>

		<div class="row">
		
				<div class="col-md-3"><i class="ico ico-question"></i> <?php echo JText::_('COM_TABLEBOOKING_UNCONFIRMED');?></div>
				<div class="col-md-3"><i class="ico ico-accept"></i> <?php echo JText::_('COM_TABLEBOOKING_CONFIRMED');?></div>
				<div class="col-md-3"><i class="ico ico-close"></i> <?php echo JText::_('COM_TABLEBOOKING_CANCELED');?></div>
				<div class="col-md-3"><i class="ico ico-restaurant"></i> <?php echo JText::_('COM_TABLEBOOKING_SEATED');?></div>
	
		</div>

		<input type="hidden" name="timestamp" id="timestamp" value="" />
		<input type="hidden" name="filter_bookings_datephp" id="calendar-value-php" value="<?php echo $this->state->get('filter.bookings.datephp');?>" />
		<input type="hidden" name="filter_bookings_timestamp" id="calendar-value-timestamp" value="<?php echo $this->state->get('filter.bookings.timestamp');?>" />
		<input type="hidden" name="task" value="" />
		<?php echo JHtml::_('form.token'); ?>

		<script>
			var DateConfig = {
				fullCurrentMonth: true,
				dateFormat: '<?php echo $this->restaurant->getParams()->dateformat;?>',
				weekdays: ['<?php echo JText::_("COM_TABLEBOOKING_SUNDAY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_MONDAY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_TUESDAY", true);?>', 
						  '<?php echo JText::_("COM_TABLEBOOKING_WEDNESDAY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_THURSDAY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_FRIDAY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_SATURDAY", true);?>'],
				months: ['<?php echo JText::_("COM_TABLEBOOKING_JANUARY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_FEBRUARY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_MARCH", true);?>', 
					  '<?php echo JText::_("COM_TABLEBOOKING_APRIL", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_MAY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_JUNE", true);?>', 
					  '<?php echo JText::_("COM_TABLEBOOKING_JULY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_AUGUST", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_SEPTEMBER", true);?>', 
					  '<?php echo JText::_("COM_TABLEBOOKING_OCTOBER", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_NOVEMBER", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_DECEMBER", true);?>'],
				suffix: { 1: 'st', 2: 'nd', 3: 'rd', 21: 'st', 22: 'nd', 23: 'rd', 31: 'st' },
				defaultSuffix: 'th', 
				<?php if ($this->state->get('filter.bookings.timestamp') && $this->state->get('filter.bookings.timestamp') != 'all') { ?>
				currentTime: <?php echo $this->state->get('filter.bookings.timestamp');?>,
				<?php } else { ?>
				currentTime: 0,
				<?php } ?>
		  };

		  	var dat = new DateHelper();	
		  	var tbb = {
		  		
	  			changedate: function(x) { 
	  				var timestamp = dat.toTimestamp(x);
					document.getElementById('timestamp').value = timestamp;
			  		tbb.updateFields(timestamp);
			  		document.getElementById('adminForm').submit();
			  	},

			  	viewall: function() {
			  		document.getElementById('calendar-value-timestamp').value = 'all';
			  		document.getElementById('calendar-value-php').value = '';
			  		document.getElementById('adminForm').submit();
			  	},

			  	plus1Day: function() {
			  		var timestamp = document.getElementById('timestamp').value;
					var nexttimestamp = dat.plus1Day(parseInt(timestamp));
					tbb.updateFields(nexttimestamp);
			  		document.getElementById('adminForm').submit();
			  	},

			  	minus1Day: function() {
			  		var timestamp = document.getElementById('timestamp').value;
					var nexttimestamp = dat.minus1Day(parseInt(timestamp));
			  		tbb.updateFields(nexttimestamp);
			  		document.getElementById('adminForm').submit();
			  	},
	
				deleteItems: function() {
			  		document.adminForm.task.value = 'bookings.delete';
			  		document.getElementById('adminForm').submit();
			  	},
			  	
			  	updateFields : function(timestamp) {
					document.getElementById('calendar-value-timestamp').value = timestamp; document.getElementById('calendar-value-php').value = dat.toCustom(timestamp, 'Y-m-d');
				},

			  	export: function() {
			  		document.location.href='<?php echo JRoute::_('index.php?option=com_tablebooking&view=bookings&format=raw&tmpl=component', false);?>';
			  	},
			  	
			  	toogleAll: function(t) {
					var checkboxes = document.getElementsByName('cid[]');
					for (var x in checkboxes) {
						checkboxes[x].checked  = !checkboxes[x].checked; 
					}
				},
		  	};

		    new datepickr('calendar', 'calendar-value', DateConfig);

		    window.onload = function(){
		    	if (document.getElementById('timestamp').value == 0) {
		    		document.getElementById('timestamp').value = new Date().getTime(); 
		    	}

		    	var days = document.getElementsByClassName('day');
		    	for (var i=0; i<days.length; i++) {
					days[i].addEventListener('click', function (el){
						tbb.changedate(el.target.getAttribute('data-date'));
					})
				}
		    }
		</script>

	</form>
</div>
